import java.util.*;

public class AddressBook
{
    private List<String> names;
    // Set<String> namesSet;
    
    public AddressBook(List<String> names) {
        this.names = new ArrayList<>(names);
        //this.namesSet = new HashSet<>(this.names);
    }
    
    public String getName(int i) {
        return names.get(i);
    }
    
    public List<String> getNames() {
        //return names; // NE
        //return new ArrayList<>(names);
        return Collections.unmodifiableList(names);
        //List<String> ret = new ArrayList<>();
        
    }
    
    public boolean hasPerson(String name) {
        return (new HashSet<>(names)).contains(name);
    }
}
